import matplotlib.pyplot as plt

def init_graphe(taille=None):
    """initialisation du graphe, et effacement (utile si la fenêtre
existe déjà). L'agument optionnel taille permet de préciser une
taille pour la fenêtre graphique."""
    plt.figure(0, figsize=taille)
    plt.clf()
    plt.axis('off')

def affiche(grille, t=0, a_effacer=[], vitesse=1):
    """efface le contenu de la liste a_effacer,
puis affiche la grille ainsi que l'indication de t en haut à gauche.
Utilisation typique : L = affiche(grille, t, L).
"""
    plt.axis('off')
    
    # Suppression des éléments à effacer
    for e in a_effacer: e.remove()
    
    # affichage de la grille
    p = plt.matshow(grille, fignum=0, cmap='gray', vmax=1.2)

    # position du texte
    position = -len(grille) // 50

    # affichage du texte
    p2 = plt.text(0, position, "t = {}".format(t))

    # pause force le rafraichissement de la fenêtre
    plt.pause(1e-3 / vitesse)

    return p, p2
